Skip to main content
POST
/
projects
/
{project_id}
/
reports
Generate Report Endpoint
curl --request POST \
  --url https://backend.overtenai.com/api/v1/projects/{project_id}/reports \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "format": "docx",
  "title": "<string>",
  "include_severity": [
    "critical"
  ],
  "include_alert_kind": [
    "disparity"
  ],
  "include_resolved": false,
  "file_ids": [
    "<string>"
  ],
  "async": false,
  "webhook_url": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Send X-API-Key: sk_live_<your_key>. Keys are issued via POST /signup or via the dashboard. Legacy callers may also use Authorization: Bearer sk_live_<your_key>.

Path Parameters

project_id
string
required

Body

application/json
format
string
default:docx
Allowed value: "docx"
title
string | null

Optional report title. Defaults to ' — Insights Report'.

Maximum string length: 200
include_severity
enum<string>[] | null

Only include insights with these severities. Omit for all.

Available options:
critical,
high,
medium,
low
include_alert_kind
enum<string>[] | null

Only include insights of these kinds. Omit for all.

Available options:
disparity,
insight,
similarity
include_resolved
boolean
default:false

Whether to include resolved insights. Default false.

file_ids
string[] | null

Restrict to insights whose source.fileId is in this list.

async
boolean
default:false

Run the report generator in the background and return 202.

webhook_url
string | null

Response

Successful Response